{% from "packages/components/summary-list/macro.njk" import summaryList %}

{#
  hrtSummaryList() wraps govukSummaryList() mapping list data to the correct parameters and adding a heading

  params: 
  listRows: array of rows for summary list
  text: object { heading: text, change: text }
  classes: string of class names
#}
{% macro hrtSummaryList(params) %}
  <h2 class="nhsuk-heading-m">{{ params.text.heading }}</h2>

  {% set safeRows = [] %}

  {% for rowData in params.listRows %}
    {% set row = {
      key : {
        text: rowData.key
      },
      value: {
        text: rowData.value | escape | nl2br | safe
      },
      actions: {
        items: [ {
            href: rowData.path + rowData.id,
            text: params.text.change,
            visuallyHiddenText: rowData.visuallyHidden         
        } ],
        classes: "nhsuk-link"
      }
    } %}

    {% set safeRowsLength = safeRows.push(row) %}
  {% endfor %}

  {{ summaryList({
      classes: params.classes,
      rows: safeRows
  }) }}
  
{% endmacro %}
